{% extends "FOSUserBundle::layout.html.twig" %}
{% trans_default_domain 'FOSUserBundle' %}

{% block title %}Demo Application{% endblock %}

{% block fos_user_content %}

    <div class="container">

        <div class="row">

            <div class="row container-login ">

                <div class="text-center">
                    <h1>{{ 'security.login.headline'|trans }}</h1>
                </div>

                {% if error %}
                    <div class="text-center list-group-item list-group-item-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}

                <div class="col-md-8 col-md-offset-2" style="margin-top: 20px">
                    <form action="{{ path("fos_user_security_check") }}" method="post">
                        <input type="hidden" class="form-control" name="_csrf_token" value="{{ csrf_token }}"/>

                        <label for="username">{{ 'security.login.username'|trans }}</label>
                        <input type="text" class="form-control" id="username" name="_username"
                               value="{{ last_username }}" required="required"/>

                        <label for="password">{{ 'security.login.password'|trans }}</label>
                        <input type="password" class="form-control" id="password" name="_password" required="required"/>

                        <input type="checkbox" id="remember_me" name="_remember_me" value="on"/>
                        <label for="remember_me">{{ 'security.login.remember_me'|trans }}</label>

                        <input type="submit" class="btn btn-primary btn-block" id="_submit" name="_submit"
                               value="{{ 'security.login.submit'|trans }}"/>
                    </form>
                    <p>{{ 'security.login.newuser'|trans }} <a id="registration_ref"
                                                               href="{{ url('fos_user_registration_register') }}">{{ 'security.login.registernow'|trans }}</a>
                    </p>
                </div>
            </div>
        </div>
    </div>

{% endblock fos_user_content %}
